package listeners;
import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import simpleanimation.*;



public class AddRemoveAnimation extends JFrame {
	Timer timer;
	boolean animatedBall=true;
	boolean animatedFish=true;
	JButton button1;
	JButton button2;
	ActionListener ballAnimationListener;
	ActionListener fishAnimationListener;
	
	public AddRemoveAnimation (String title){
		super(title);
		this.setSize(800, 600);
		this.setDefaultCloseOperation(EXIT_ON_CLOSE);
		//add code for the content of this frame here
		SimpleShapeContainer p=new SimpleShapeContainer();	
		p.setBackground(new Color(176, 196,222));
		
		
		//1. adding SmartRectangularShapes: ellipse, rectangle, arc
		SmartRectangularShape ball=new SmartEllipse();
		ball.setFillColor(Color.BLUE);
		ball.setSize(50, 50);
		ball.setLocation(75, 75);
	
		p.addShape(ball);		
	
		FishShape fish=new FishShape(44,20,Color.YELLOW);
		fish.setLocation(0, 90);
		
		p.addShape(fish);
		
		button1=new JButton("Stop ball");
		button1.addActionListener(new StartStopBallAnimationListener());
		p.add(button1);
		
		button2=new JButton("Stop fish");
		button2.addActionListener(new StartStopFishAnimationListener());
		p.add(button2);
		
		
		this.add(p);
		this.setVisible(true);
	
	
		ballAnimationListener=new BouncingBallAnimationListener(ball, 20, this);
		fishAnimationListener=new FishAnimationListener(fish,30,this);
		timer=new Timer(100, ballAnimationListener);
		timer.addActionListener(fishAnimationListener);
		timer.start();
	}
	
	class StartStopBallAnimationListener implements ActionListener
	{			

		public void actionPerformed(ActionEvent e) 
		{
			if(animatedBall)
			{
				timer.removeActionListener(ballAnimationListener);
				button1.setText("Start ball");
				animatedBall=false;
			}
			else
			{
				timer.addActionListener(ballAnimationListener);
				button1.setText("Stop ball");
				animatedBall=true;
			}
		}
	}
	
	class StartStopFishAnimationListener implements ActionListener
	{			

		public void actionPerformed(ActionEvent e) 
		{
			if(animatedFish)
			{
				timer.removeActionListener(fishAnimationListener);
				button2.setText("Start Fish");
				animatedFish=false;
			}
			else
			{
				timer.addActionListener(fishAnimationListener);
				button2.setText("Stop Fish");
				animatedFish=true;
			}
		}
	}
	public static void main(String [] args)
	{
		JFrame f=new AddRemoveAnimation("Add and remove animation");	
	}

}
